Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table
Class TableComponentExtensionSupport

    java.lang.Object
      com.tonbeller.jpivot.table.PartBuilderSupport
          com.tonbeller.jpivot.table.TableComponentExtensionSupport

All Implemented Interfaces:
  PartBuilder, TableComponentExtension, Available, com.tonbeller.wcf.bookmarks.Bookmarkable

Direct Known Subclasses:
  AxisStyleUI, DrillExpandUI, DrillThroughUI, ExcelTableExtension, MdxQueryUI, NonEmptyUI, ResetQueryUI, SortRankUI, SwapAxesUI

    public abstract class TableComponentExtensionSupport

extends PartBuilderSupport
implements TableComponentExtension

Created on 09.01.2003

Author:
  av

Field Summary
`protected boolean` | `enabled`

Fields inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`table`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`TableComponentExtensionSupport()`

Method Summary
`java.lang.Object` | `getBookmarkState(int levelOfDetail)` returns the enabled property
`boolean` | `isEnabled()`
`void` | `setBookmarkState(java.lang.Object state)` sets the enabled property
`void` | `setEnabled(boolean enabled)` enable or disable this extension.

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`destroy, initialize, isAvailable, setDirty, startBuild, stopBuild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.table.TableComponentExtension
`getId`

Methods inherited from interface com.tonbeller.jpivot.table.PartBuilder
`destroy, initialize, isAvailable, startBuild, stopBuild`

Field Detail

### enabled

    protected boolean enabled

Constructor Detail

### TableComponentExtensionSupport

    public TableComponentExtensionSupport()

Method Detail

### setEnabled

    public void setEnabled(boolean enabled)

  Description copied from interface: `TableComponentExtension`
  enable or disable this extension. A disabled extension should not be rendered and should not respond to user actions.

  Specified by:
    `setEnabled` in interface `TableComponentExtension`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `TableComponentExtension`

### getBookmarkState

    public java.lang.Object getBookmarkState(int levelOfDetail)

  returns the enabled property

  Specified by:
    `getBookmarkState` in interface `com.tonbeller.wcf.bookmarks.Bookmarkable`
  Overrides:
    `getBookmarkState` in class `PartBuilderSupport`

### setBookmarkState

    public void setBookmarkState(java.lang.Object state)

  sets the enabled property

  Specified by:
    `setBookmarkState` in interface `com.tonbeller.wcf.bookmarks.Bookmarkable`
  Overrides:
    `setBookmarkState` in class `PartBuilderSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD